Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2226088 - perl-Perl-Tags: FTBFS in Fedora rawhide/f39: Failed test 'Got expected info after jumping around tags in vim' at t/05_vim.t line 53
Summary: perl-Perl-Tags: FTBFS in Fedora rawhide/f39: Failed test 'Got expected info a...
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-Perl-Tags
Version: 39
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jitka Plesnikova
QA Contact: Fedora Extras Quality Assurance
URL: https://koschei.fedoraproject.org/pac...
Whiteboard:
Depends On:
Blocks: F39FTBFS F40FTBFS
TreeView+ depends on / blocked
 
Reported: 2023-07-25 18:55 UTC by Fedora Release Engineering
Modified: 2023-10-24 07:41 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-10-24 07:41:05 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2023-07-25 18:55 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2023-07-25 18:55 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2023-07-25 18:55 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2023-07-25 18:55:26 UTC
perl-Perl-Tags failed to build from source in Fedora rawhide/f39

https://koji.fedoraproject.org/koji/taskinfo?taskID=103658691


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild
Please fix perl-Perl-Tags at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
perl-Perl-Tags will be orphaned. Before branching of Fedora 40,
perl-Perl-Tags will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 1 Fedora Release Engineering 2023-07-25 18:55:31 UTC
Created attachment 1978659 [details]
build.log

Comment 2 Fedora Release Engineering 2023-07-25 18:55:35 UTC
Created attachment 1978660 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2023-07-25 18:55:37 UTC
Created attachment 1978661 [details]
state.log

Comment 4 Petr Pisar 2023-07-31 10:28:40 UTC
From a build.log:

t/04_ppi.t ............. ok
Vim: Warning: Output is not to a terminal
Vim: Warning: Input is not from a terminal
[?1h=[1;24r[H[J[24;1H"perltags3dfS/Test.pm" 22 lines, 221 bytes

Error detected while processing command line..script /builddir/build/BUILD/Perl

[23;80H-[24;1HTags-0.32/t/session.vim:

line    1:

E433: No tags file

E426: Tag not found: foo

line    6:

E433: No tags file

E426: Tag not found: bar

line   11:

E433: No tags file

E426: Tag not found: wibble

line   16:

E433: No tags file

E426: Tag not found: Test

"perltags3dfS/Test.pm" 26 lines, 289 bytes written
[?1l>
#   Failed test 'Got expected info after jumping around tags in vim'
#   at t/05_vim.t line 53.
# 
#          got: ..."line here\x{0a}# wibble line here\x{0a}# bar line here\x{0a}# foo"...
#       length: 289
#     expected: ..."line here\x{0a}package Test;\x{0a}\x{0a}use strict; use warnings;"...
#       length: 289
#     strings begin to differ at char 18 (line 2 column 1)
# 
# Looks like you failed 1 test of 1.
t/05_vim.t ............. 
Dubious, test returned 1 (wstat 256, 0x100)
Failed 1/1 subtests 

A difference between passing and failing build roots is at <https://koschei.fedoraproject.org/build/15826888>. An upgrade of vim-enhanced from 2:9.0.1671-1.fc39 to 2:9.0.1677-2.fc39 is suspicious. Also perl was upgraded from 4:5.36.1-497.fc39 to 4:5.38.0-499.fc39.

Comment 5 Fedora Release Engineering 2023-08-16 08:00:07 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 39 development cycle.
Changing version to 39.

Comment 6 Jitka Plesnikova 2023-10-24 07:41:05 UTC
The build is not failing with vim-9.0.1872-1.fc40 and newer.


Note You need to log in before you can comment on or make changes to this bug.